using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 作业流程及安全措施
    /// </summary>
    [Description("作业流程及安全措施")]
    public class T_HM_OPERATION_TASK_ANALYZE_SAFE_MEASURE : MesEntityBase
    {
        /// <summary>
        /// 编码
        /// </summary>
        [Description("编码")]
        [DataFieldLength(50)]

        public string CODE { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        [DataFieldLength(50)]

        public string NAME { get; set; }

        /// <summary>
        /// 作业环节ID
        /// </summary>
        [Description("作业环节ID")]
        public Guid TASK_ANALYZE_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航属性：作业环节
        /// </summary>
        [Description("导航属性：作业环节")]
        public T_HM_TASK_ANALYZE_DETAIL Nav_TaskAnalyzeDetail { get; set; }
    }
}
